var Tinkerforge = require('tinkerforge');

var HOST = 'localhost';
var PORT = 4223;
var UID = 'XYZ'; // Change XYZ to the UID of your Isolator Bricklet

var ipcon = new Tinkerforge.IPConnection(); // Create IP connection
var i = new Tinkerforge.BrickletIsolator(UID, ipcon); // Create device object

ipcon.connect(HOST, PORT,
    function (error) {
        console.log('Error: ' + error);
    }
); // Connect to brickd
// Don't use device before ipcon is connected

ipcon.on(Tinkerforge.IPConnection.CALLBACK_CONNECTED,
    function (connectReason) {
        // Get current statistics
        i.getStatistics(
            function (messagesFromBrick, messagesFromBricklet, connectedBrickletDeviceIdentifier, connectedBrickletUID) {
                console.log('Messages From Brick: ' + messagesFromBrick);
                console.log('Messages From Bricklet: ' + messagesFromBricklet);
                console.log('Connected Bricklet Device Identifier: ' + connectedBrickletDeviceIdentifier);
                console.log('Connected Bricklet UID: ' + connectedBrickletUID);
            },
            function (error) {
                console.log('Error: ' + error);
            }
        );
    }
);

console.log('Press key to exit');
process.stdin.on('data',
    function (data) {
        ipcon.disconnect();
        process.exit(0);
    }
);
